Paquete debian para instalar Exe Learning en versiones Debian 10+/Ubuntu 20.04+

Inicio Forums Desarrolladores / Desenvolupadors / Garatzaileak / Desenvolvedores / Developers Paquete debian para instalar Exe Learning en versiones Debian 10+/Ubuntu 20.04+

This topic contains 1 respuesta, has 2 voices, and was last updated by  enam0000 Hace 2 semanas, 4 días.

  • Author
    Entradas
  • #41214

    enam0000
    Member

    ¿Podríais empaquetar Exe Learning en un paquete debian para instalar en versiones Debian 10+/Ubuntu 20.04+?
    En los centros educativos de Extremadura usamos nfs para el montaje del home de los usuarios y los paquetes snap, flatpak o appimage no funcionan bien sobre nfs.
    Aún estamos en Ubuntu 18.04, pero supongo que no tardando mucho, comenzaremos a migrar a Ubuntu 22.04. En mi centro, he optado por empezar a realizar la migración uno de los problemas que he detectado es que, si instalo el paquete intef-exe-appimage_2.8_all.deb, al tratar de previsualizar un contenido, da error.

  • #41216

    pabloamaya
    Member

    Buenos días.
    No podemos empaquetar un deb nativo para Debian 10+/Ubuntu 20.04+ porque las librerías Python necesarias ya no están en los repositorios para hacer una instalación automática que resuelva las dependencias. Incluso instalando manualmente los paquetes necesarios se complica la instalación porque muchos paquetes ya no se han seguido desarrollando y dan conflictos con otros.
    Lo que podemos hacer es intentar solucionar el problema que te surge del uso del NFS.
    ¿Te importaría que habláramos por correo, Telegram o teléfono? Si me dices de que centro eres el administrador yo me pongo en contacto contigo directamente.
    Saludos.

  • #41262

    enam0000
    Member

    Leyendo los comentarios de https://github.com/exelearning/iteexe/issues/95, creo que no sería complicado realizar el empaquetado:

    • Quitando las dependencias de paquetes que ya no existen en Ubuntu 22.04:
    • Modificando los ficheros .py para que usen /usr/bin/python2 en lugar de /usr/bin/python
    • Instalando los paquetes python necesarios mediante pip

You must be logged in to reply to this topic.